<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Interface org.apache.poi.sl.usermodel.PictureData (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface org.apache.poi.sl.usermodel.PictureData (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/sl/usermodel/PictureData.html"
               title="interface in org.apache.poi.sl.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/sl/usermodel/class-use/PictureData.html" target="_top">Frames</a>
        </li>
        <li><a href="PictureData.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Interface org.apache.poi.sl.usermodel.PictureData" class="title">Uses of Interface<br>org.apache.poi.sl.usermodel.PictureData
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                        title="interface in org.apache.poi.sl.usermodel">PictureData</a></span><span class="tabEnd">&nbsp;</span>
                </caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hslf.blip">org.apache.poi.hslf.blip</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hslf.usermodel">org.apache.poi.hslf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.sl.usermodel">org.apache.poi.sl.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.xslf.usermodel">org.apache.poi.xslf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hslf.blip">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                   title="interface in org.apache.poi.sl.usermodel">PictureData</a> in <a
                            href="../../../../../../org/apache/poi/hslf/blip/package-summary.html">org.apache.poi.hslf.blip</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing classes, and an explanation">
                        <caption><span>Classes in <a
                                href="../../../../../../org/apache/poi/hslf/blip/package-summary.html">org.apache.poi.hslf.blip</a> that implement <a
                                href="../../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                title="interface in org.apache.poi.sl.usermodel">PictureData</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/blip/Bitmap.html"
                                    title="class in org.apache.poi.hslf.blip">Bitmap</a></span></code>
                                <div class="block">Represents a bitmap picture data: JPEG or PNG.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/blip/DIB.html"
                                    title="class in org.apache.poi.hslf.blip">DIB</a></span></code>
                                <div class="block">Represents a DIB picture data in a PPT file</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/blip/EMF.html"
                                    title="class in org.apache.poi.hslf.blip">EMF</a></span></code>
                                <div class="block">Represents EMF (Windows Enhanced Metafile) picture data.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/blip/JPEG.html"
                                    title="class in org.apache.poi.hslf.blip">JPEG</a></span></code>
                                <div class="block">Represents a JPEG picture data in a PPT file</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/blip/Metafile.html"
                                    title="class in org.apache.poi.hslf.blip">Metafile</a></span></code>
                                <div class="block">Represents a metafile picture which can be one of the following
                                    types: EMF, WMF, or PICT.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/blip/PICT.html"
                                    title="class in org.apache.poi.hslf.blip">PICT</a></span></code>
                                <div class="block">Represents Macintosh PICT picture data.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/blip/PNG.html"
                                    title="class in org.apache.poi.hslf.blip">PNG</a></span></code>
                                <div class="block">Represents a PNG picture data in a PPT file</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/blip/WMF.html"
                                    title="class in org.apache.poi.hslf.blip">WMF</a></span></code>
                                <div class="block">Represents a WMF (Windows Metafile) picture data.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hslf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                   title="interface in org.apache.poi.sl.usermodel">PictureData</a> in <a
                            href="../../../../../../org/apache/poi/hslf/usermodel/package-summary.html">org.apache.poi.hslf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing classes, and an explanation">
                        <caption><span>Classes in <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/package-summary.html">org.apache.poi.hslf.usermodel</a> that implement <a
                                href="../../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                title="interface in org.apache.poi.sl.usermodel">PictureData</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFPictureData</a></span></code>
                                <div class="block">A class that represents image data contained in a slide show.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/package-summary.html">org.apache.poi.hslf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                title="interface in org.apache.poi.sl.usermodel">PictureData</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFObjectShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFObjectShape</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFGroupShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html#createOleShape-org.apache.poi.sl.usermodel.PictureData-">createOleShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                    title="interface in org.apache.poi.sl.usermodel">PictureData</a>&nbsp;pictureData)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFObjectShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFObjectShape</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#createOleShape-org.apache.poi.sl.usermodel.PictureData-">createOleShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                    title="interface in org.apache.poi.sl.usermodel">PictureData</a>&nbsp;pictureData)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFObjectShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFObjectShape</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFShapeContainer.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShapeContainer.html#createOleShape-org.apache.poi.sl.usermodel.PictureData-">createOleShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                    title="interface in org.apache.poi.sl.usermodel">PictureData</a>&nbsp;pictureData)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPictureShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFPictureShape</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFGroupShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFGroupShape.html#createPicture-org.apache.poi.sl.usermodel.PictureData-">createPicture</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                    title="interface in org.apache.poi.sl.usermodel">PictureData</a>&nbsp;pictureData)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPictureShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFPictureShape</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#createPicture-org.apache.poi.sl.usermodel.PictureData-">createPicture</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                    title="interface in org.apache.poi.sl.usermodel">PictureData</a>&nbsp;pictureData)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPictureShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFPictureShape</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFShapeContainer.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShapeContainer.html#createPicture-org.apache.poi.sl.usermodel.PictureData-">createPicture</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                    title="interface in org.apache.poi.sl.usermodel">PictureData</a>&nbsp;pictureData)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.sl.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                   title="interface in org.apache.poi.sl.usermodel">PictureData</a> in <a
                            href="../../../../../../org/apache/poi/sl/usermodel/package-summary.html">org.apache.poi.sl.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/sl/usermodel/package-summary.html">org.apache.poi.sl.usermodel</a> that return <a
                                href="../../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                title="interface in org.apache.poi.sl.usermodel">PictureData</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                    title="interface in org.apache.poi.sl.usermodel">PictureData</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">SlideShow.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/SlideShow.html#addPicture-byte:A-org.apache.poi.sl.usermodel.PictureData.PictureType-">addPicture</a></span>(byte[]&nbsp;pictureData,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/PictureData.PictureType.html"
                                   title="enum in org.apache.poi.sl.usermodel">PictureData.PictureType</a>&nbsp;format)</code>
                                <div class="block">Adds a picture to the presentation.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                    title="interface in org.apache.poi.sl.usermodel">PictureData</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">SlideShow.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/SlideShow.html#addPicture-java.io.File-org.apache.poi.sl.usermodel.PictureData.PictureType-">addPicture</a></span>(java.io.File&nbsp;pict,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/PictureData.PictureType.html"
                                   title="enum in org.apache.poi.sl.usermodel">PictureData.PictureType</a>&nbsp;format)</code>
                                <div class="block">Adds a picture to the presentation.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                    title="interface in org.apache.poi.sl.usermodel">PictureData</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">SlideShow.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/SlideShow.html#addPicture-java.io.InputStream-org.apache.poi.sl.usermodel.PictureData.PictureType-">addPicture</a></span>(java.io.InputStream&nbsp;is,
                                <a href="../../../../../../org/apache/poi/sl/usermodel/PictureData.PictureType.html"
                                   title="enum in org.apache.poi.sl.usermodel">PictureData.PictureType</a>&nbsp;format)</code>
                                <div class="block">Adds a picture to the presentation.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                    title="interface in org.apache.poi.sl.usermodel">PictureData</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">SlideShow.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/SlideShow.html#findPictureData-byte:A-">findPictureData</a></span>(byte[]&nbsp;pictureData)</code>
                                <div class="block">check if a picture with this picture data already exists in this
                                    presentation
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                    title="interface in org.apache.poi.sl.usermodel">PictureData</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">PictureShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PictureShape.html#getPictureData--">getPictureData</a></span>()</code>
                                <div class="block">Returns the picture data for this picture.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                    title="interface in org.apache.poi.sl.usermodel">PictureData</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">ObjectShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/ObjectShape.html#getPictureData--">getPictureData</a></span>()</code>
                                <div class="block">Returns the picture data for this picture.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                    title="interface in org.apache.poi.sl.usermodel">PictureData</a>[]</code></td>
                            <td class="colLast"><span class="typeNameLabel">Resources.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Resources.html#getPictureData--">getPictureData</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/sl/usermodel/package-summary.html">org.apache.poi.sl.usermodel</a> that return types with arguments of type <a
                                href="../../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                title="interface in org.apache.poi.sl.usermodel">PictureData</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>java.util.List&lt;? extends <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                    title="interface in org.apache.poi.sl.usermodel">PictureData</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">SlideShow.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/SlideShow.html#getPictureData--">getPictureData</a></span>()</code>
                                <div class="block">Returns all Pictures of this slideshow.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/sl/usermodel/package-summary.html">org.apache.poi.sl.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                title="interface in org.apache.poi.sl.usermodel">PictureData</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>int</code></td>
                            <td class="colLast"><span class="typeNameLabel">Resources.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Resources.html#addPictureData-org.apache.poi.sl.usermodel.PictureData-">addPictureData</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                    title="interface in org.apache.poi.sl.usermodel">PictureData</a>&nbsp;pict)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/ObjectShape.html"
                                    title="interface in org.apache.poi.sl.usermodel">ObjectShape</a>&lt;?,?&gt;</code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">ShapeContainer.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createOleShape-org.apache.poi.sl.usermodel.PictureData-">createOleShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                    title="interface in org.apache.poi.sl.usermodel">PictureData</a>&nbsp;pictureData)</code>
                                <div class="block">Create a new OLE object shape with the given pictureData as preview
                                    image
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PictureShape.html"
                                    title="interface in org.apache.poi.sl.usermodel">PictureShape</a>&lt;<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                    title="type parameter in ShapeContainer">S</a>,<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                    title="type parameter in ShapeContainer">P</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">ShapeContainer.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html#createPicture-org.apache.poi.sl.usermodel.PictureData-">createPicture</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                    title="interface in org.apache.poi.sl.usermodel">PictureData</a>&nbsp;pictureData)</code>
                                <div class="block">create a picture belonging to this container</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xslf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                   title="interface in org.apache.poi.sl.usermodel">PictureData</a> in <a
                            href="../../../../../../org/apache/poi/xslf/usermodel/package-summary.html">org.apache.poi.xslf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing classes, and an explanation">
                        <caption><span>Classes in <a
                                href="../../../../../../org/apache/poi/xslf/usermodel/package-summary.html">org.apache.poi.xslf.usermodel</a> that implement <a
                                href="../../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                title="interface in org.apache.poi.sl.usermodel">PictureData</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFPictureData.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFPictureData</a></span></code>
                                <div class="block">Instantiates sub-classes of POIXMLDocumentPart depending on their
                                    relationship type
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/xslf/usermodel/package-summary.html">org.apache.poi.xslf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                title="interface in org.apache.poi.sl.usermodel">PictureData</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFObjectShape.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFObjectShape</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XSLFGroupShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFGroupShape.html#createOleShape-org.apache.poi.sl.usermodel.PictureData-">createOleShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                    title="interface in org.apache.poi.sl.usermodel">PictureData</a>&nbsp;pictureData)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFObjectShape.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFObjectShape</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XSLFSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFSheet.html#createOleShape-org.apache.poi.sl.usermodel.PictureData-">createOleShape</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                    title="interface in org.apache.poi.sl.usermodel">PictureData</a>&nbsp;pictureData)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFPictureShape.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFPictureShape</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XSLFGroupShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFGroupShape.html#createPicture-org.apache.poi.sl.usermodel.PictureData-">createPicture</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                    title="interface in org.apache.poi.sl.usermodel">PictureData</a>&nbsp;pictureData)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFPictureShape.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFPictureShape</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XSLFShapeContainer.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFShapeContainer.html#createPicture-org.apache.poi.sl.usermodel.PictureData-">createPicture</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                    title="interface in org.apache.poi.sl.usermodel">PictureData</a>&nbsp;pictureData)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFPictureShape.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFPictureShape</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XSLFSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFSheet.html#createPicture-org.apache.poi.sl.usermodel.PictureData-">createPicture</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PictureData.html"
                                    title="interface in org.apache.poi.sl.usermodel">PictureData</a>&nbsp;pictureData)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/sl/usermodel/PictureData.html"
               title="interface in org.apache.poi.sl.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/sl/usermodel/class-use/PictureData.html" target="_top">Frames</a>
        </li>
        <li><a href="PictureData.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
